# Generated by Django 4.1.7 on 2023-04-27 11:44

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('user', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='AppointmentDokter',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('appointment_id', models.CharField(max_length=10, unique=True)),
                ('appointment_time', models.DateTimeField()),
                ('status', models.CharField(choices=[('Menunggu Konfirmasi', 'Menunggu Konfirmasi'), ('Disetujui', 'Disetujui'), ('Ditolak', 'Ditolak')], default='Menunggu Konfirmasi', max_length=40)),
                ('keluhan', models.TextField(blank=True, null=True)),
                ('dokter', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='user.dokter')),
                ('hewan', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='user.hewan')),
                ('pemilik', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='user.customer')),
            ],
        ),
    ]
